TrackHome

Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## thegroup.projectcddb.database
Interface TrackHome

All Superinterfaces:
  javax.ejb.EJBHome, java.rmi.Remote

public interface TrackHome
extends javax.ejb.EJBHome

Interface for the track bean

Author:
  Diana Abbas , Kyle Dorman

Method Summary
`TrackRemote` | `create(java.lang.String discid, java.lang.String title, java.lang.Integer trackNumber, java.lang.String extendedData)` Creates a bean with the information given to it
`java.util.Collection` | `findByCDID(java.lang.String cdid)` Finds the file in the database according to Disc ID
`TrackRemote` | `findByPrimaryKey(java.lang.Integer pk)` Finds the file in the database according to primary key

Methods inherited from interface javax.ejb.EJBHome
`getEJBMetaData, getHomeHandle, remove, remove`

Method Detail

### create

    public TrackRemote create(java.lang.String discid,
                              java.lang.String title,
                              java.lang.Integer trackNumber,
                              java.lang.String extendedData)
                       throws javax.ejb.CreateException,
                              java.rmi.RemoteException

  Creates a bean with the information given to it

  Parameters:
    `discid` -
    `title` -
    `trackNumber` -
    `extendedData` -
  Throws:
    `java.rmi.RemoteException` - Provides backward compatibility for enterprise beans
    `javax.ejb.CreateException` - Failure to create an entity EJB object

### findByPrimaryKey

    public TrackRemote findByPrimaryKey(java.lang.Integer pk)
                                 throws javax.ejb.FinderException,
                                        java.rmi.RemoteException

  Finds the file in the database according to primary key

  Parameters:
    `pk` - Primary Key ID number
  Throws:
    `java.rmi.RemoteException` - Provides backward compatibility for enterprise beans
    `javax.ejb.FinderException` - Reports a failure to find the requested EJB object

### findByCDID

    public java.util.Collection findByCDID(java.lang.String cdid)
                                    throws javax.ejb.FinderException,
                                           java.rmi.RemoteException

  Finds the file in the database according to Disc ID

  Parameters:
    `cdid` - CD Disc ID
  Throws:
    `java.rmi.RemoteException` - Provides backward compatibility for enterprise beans
    `javax.ejb.FinderException` - Reports a failure to find the requested EJB object

Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD